<?php

namespace Manadev\ProductCollection\Helper;

use Magento\Framework\App\Helper\Context;
use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Store\Model\ScopeInterface;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    const CONFIG_SHOW_OOS_PRODUCTS = 'cataloginventory/options/show_out_of_stock';

    /**
     * @var ScopeConfigInterface
     */
    protected $scopeConfig;

    public function __construct(
        Context $context
    )
    {
        parent::__construct($context);
        $this->scopeConfig = $context->getScopeConfig();
    }

    public function getConfig($config_path)
    {
        return $this->scopeConfig->getValue(
            $config_path,
            ScopeInterface::SCOPE_STORE
        );
    }

    public function getShowOosProducts() {
        return $this->getConfig(self::CONFIG_SHOW_OOS_PRODUCTS);
    }
}